#include <ESP8266WiFi.h>

const int forwardPin = 14;
const int backwardPin = 12;
const int sleepPin = 16;

void setup() {
  pinMode(forwardPin, OUTPUT);
  pinMode(backwardPin, OUTPUT);
  pinMode(sleepPin, OUTPUT);
  
  //put the driver into sleep mode
  digitalWrite(sleepPin, HIGH);
}

void forward(int speed) {
  digitalWrite(forwardPin, HIGH);
  digitalWrite(backwardPin, LOW);
  analogWrite(forwardPin, speed);
}

void backward(int speed) {
  digitalWrite(forwardPin, LOW);
  digitalWrite(backwardPin, HIGH);
  analogWrite(backwardPin, speed);
}

void stop() {
  digitalWrite(forwardPin, LOW);
  digitalWrite(backwardPin, LOW);
}

void loop() {
  //move forward with a PWM of 255
  forward(255);
  delay(1000);
  //move backward with a PWM of 128
  backward(128);
  delay(1000);
  stop();
  delay(1000);
}
